const axios = require('axios');const WebhooksApiFp = require('@alohi/faxplus-api').WebhooksApiFp;const Configuration = require('@alohi/faxplus-api').Configuration;const config = new Configuration({ accessToken: accessToken, basePath: 'https://restapi.fax.plus/v3', // Header required only when using the OAuth2 token scheme baseOptions: { headers: { "x-fax-clientid": clientId, } }});async function getWebhooks() { const reqParams = { "event": 'fax_received' } const req = await WebhooksApiFp(config).getWebhooks(reqParams); const resp = await req(axios);}getWebhooks()
from faxplus import ApiClient, WebhooksApifrom faxplus.configuration import Configurationconf = Configuration()conf.access_token = access_token# header_name and header_value required only when using the OAuth2 token schemeapi_client = ApiClient(header_name='x-fax-clientid', header_value=client_id, configuration=conf)api = WebhooksApi(api_client)resp = api.get_webhooks( event='fax_received')
/** * Example below uses Apache HTTP Client 4 with Fluent API **/String url = "https://restapi.fax.plus/v3/hooks?event=fax_received";String result = Request .Get(url) // The x-fax-clientid header is required only when using the OAuth2 token scheme .addHeader("x-fax-clientid", "YOUR_CLIENT_ID") .addHeader("Accept", "'application/json'") .addHeader("Authorization", "'Bearer {access-token}'") .execute() .returnContent().asString();System.out.println(result.toString());
package mainimport ( "bytes" "net/http")func main() { headers := map[string][]string{ // The x-fax-clientid header is required only when using the OAuth2 token scheme "Accept": []string{"application/json"}, "Authorization": []string{"Bearer {access-token}"}, "x-fax-clientid": []string{"YOUR_CLIENT_ID"} } data := bytes.NewBuffer([]byte{jsonReq}) req, err := http.NewRequest("GET", "https://restapi.fax.plus/v3/hooks", data) req.Header = headers client := &http.Client{} resp, err := client.Do(req) // ...}
<?phprequire 'vendor/autoload.php';$headers = array( 'Accept' => 'application/json', 'Authorization' => 'Bearer {access-token}', // The x-fax-clientid header is required only when using the OAuth2 token scheme 'x-fax-clientid' => '{client ID}',);$client = new GuzzleHttp\Client();try { $response = $client->request('GET','https://restapi.fax.plus/v3/hooks', array( 'headers' => $headers, ) ); print_r($response->getBody()->getContents()); } catch (GuzzleHttp\Exception\BadResponseException $e) { // handle exception or api errors. print_r($e->getMessage()); } // ...
# You can also use wgetcurl -X GET https://restapi.fax.plus/v3/hooks?event=fax_received \ -H 'Accept: application/json' \ -H 'Authorization: Bearer {access-token}' \ # The x-fax-clientid header is required only when using the OAuth2 token scheme -H 'x-fax-clientid: "YOUR CLIENT_ID"'
LegacyGET /hooks. Prefer GET /webhooks. Returns a list of currently registered webhooks for the requested event. (Permitted scopes: fax:all:read, fax:webhook:read)
GET
/
hooks
const axios = require('axios');const WebhooksApiFp = require('@alohi/faxplus-api').WebhooksApiFp;const Configuration = require('@alohi/faxplus-api').Configuration;const config = new Configuration({ accessToken: accessToken, basePath: 'https://restapi.fax.plus/v3', // Header required only when using the OAuth2 token scheme baseOptions: { headers: { "x-fax-clientid": clientId, } }});async function getWebhooks() { const reqParams = { "event": 'fax_received' } const req = await WebhooksApiFp(config).getWebhooks(reqParams); const resp = await req(axios);}getWebhooks()
from faxplus import ApiClient, WebhooksApifrom faxplus.configuration import Configurationconf = Configuration()conf.access_token = access_token# header_name and header_value required only when using the OAuth2 token schemeapi_client = ApiClient(header_name='x-fax-clientid', header_value=client_id, configuration=conf)api = WebhooksApi(api_client)resp = api.get_webhooks( event='fax_received')
/** * Example below uses Apache HTTP Client 4 with Fluent API **/String url = "https://restapi.fax.plus/v3/hooks?event=fax_received";String result = Request .Get(url) // The x-fax-clientid header is required only when using the OAuth2 token scheme .addHeader("x-fax-clientid", "YOUR_CLIENT_ID") .addHeader("Accept", "'application/json'") .addHeader("Authorization", "'Bearer {access-token}'") .execute() .returnContent().asString();System.out.println(result.toString());
package mainimport ( "bytes" "net/http")func main() { headers := map[string][]string{ // The x-fax-clientid header is required only when using the OAuth2 token scheme "Accept": []string{"application/json"}, "Authorization": []string{"Bearer {access-token}"}, "x-fax-clientid": []string{"YOUR_CLIENT_ID"} } data := bytes.NewBuffer([]byte{jsonReq}) req, err := http.NewRequest("GET", "https://restapi.fax.plus/v3/hooks", data) req.Header = headers client := &http.Client{} resp, err := client.Do(req) // ...}
<?phprequire 'vendor/autoload.php';$headers = array( 'Accept' => 'application/json', 'Authorization' => 'Bearer {access-token}', // The x-fax-clientid header is required only when using the OAuth2 token scheme 'x-fax-clientid' => '{client ID}',);$client = new GuzzleHttp\Client();try { $response = $client->request('GET','https://restapi.fax.plus/v3/hooks', array( 'headers' => $headers, ) ); print_r($response->getBody()->getContents()); } catch (GuzzleHttp\Exception\BadResponseException $e) { // handle exception or api errors. print_r($e->getMessage()); } // ...
# You can also use wgetcurl -X GET https://restapi.fax.plus/v3/hooks?event=fax_received \ -H 'Accept: application/json' \ -H 'Authorization: Bearer {access-token}' \ # The x-fax-clientid header is required only when using the OAuth2 token scheme -H 'x-fax-clientid: "YOUR CLIENT_ID"'
Legacy /v3/hooks API. These webhooks will be decommissioned soon. New integrations should use List webhook endpoints (GET /v3/webhooks).
const axios = require('axios');const WebhooksApiFp = require('@alohi/faxplus-api').WebhooksApiFp;const Configuration = require('@alohi/faxplus-api').Configuration;const config = new Configuration({ accessToken: accessToken, basePath: 'https://restapi.fax.plus/v3', // Header required only when using the OAuth2 token scheme baseOptions: { headers: { "x-fax-clientid": clientId, } }});async function getWebhooks() { const reqParams = { "event": 'fax_received' } const req = await WebhooksApiFp(config).getWebhooks(reqParams); const resp = await req(axios);}getWebhooks()
from faxplus import ApiClient, WebhooksApifrom faxplus.configuration import Configurationconf = Configuration()conf.access_token = access_token# header_name and header_value required only when using the OAuth2 token schemeapi_client = ApiClient(header_name='x-fax-clientid', header_value=client_id, configuration=conf)api = WebhooksApi(api_client)resp = api.get_webhooks( event='fax_received')
/** * Example below uses Apache HTTP Client 4 with Fluent API **/String url = "https://restapi.fax.plus/v3/hooks?event=fax_received";String result = Request .Get(url) // The x-fax-clientid header is required only when using the OAuth2 token scheme .addHeader("x-fax-clientid", "YOUR_CLIENT_ID") .addHeader("Accept", "'application/json'") .addHeader("Authorization", "'Bearer {access-token}'") .execute() .returnContent().asString();System.out.println(result.toString());
package mainimport ( "bytes" "net/http")func main() { headers := map[string][]string{ // The x-fax-clientid header is required only when using the OAuth2 token scheme "Accept": []string{"application/json"}, "Authorization": []string{"Bearer {access-token}"}, "x-fax-clientid": []string{"YOUR_CLIENT_ID"} } data := bytes.NewBuffer([]byte{jsonReq}) req, err := http.NewRequest("GET", "https://restapi.fax.plus/v3/hooks", data) req.Header = headers client := &http.Client{} resp, err := client.Do(req) // ...}
<?phprequire 'vendor/autoload.php';$headers = array( 'Accept' => 'application/json', 'Authorization' => 'Bearer {access-token}', // The x-fax-clientid header is required only when using the OAuth2 token scheme 'x-fax-clientid' => '{client ID}',);$client = new GuzzleHttp\Client();try { $response = $client->request('GET','https://restapi.fax.plus/v3/hooks', array( 'headers' => $headers, ) ); print_r($response->getBody()->getContents()); } catch (GuzzleHttp\Exception\BadResponseException $e) { // handle exception or api errors. print_r($e->getMessage()); } // ...
# You can also use wgetcurl -X GET https://restapi.fax.plus/v3/hooks?event=fax_received \ -H 'Accept: application/json' \ -H 'Authorization: Bearer {access-token}' \ # The x-fax-clientid header is required only when using the OAuth2 token scheme -H 'x-fax-clientid: "YOUR CLIENT_ID"'